.\" @(#) $FreeBSD: src/usr.sbin/rarpd/rarpd.8,v 1.3.2.4 1999/09/05 11:41:12 peter Exp $ (LBL)
.\"
.\" Copyright (c) 1990, 1991, 1993 The Regents of the University of
.\" California. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that: (1) source code distributions
.\" retain the above copyright notice and this paragraph in its entirety, (2)
.\" distributions including binary code include the above copyright notice and
.\" this paragraph in its entirety in the documentation or other materials
.\" provided with the distribution, and (3) all advertising materials mentioning
.\" features or use of this software display the following acknowledgement:
.\" ``This product includes software developed by the University of California,
.\" Lawrence Berkeley Laboratory and its contributors.'' Neither the name of
.\" the University nor the names of its contributors may be used to endorse
.\" or promote products derived from this software without specific prior
.\" written permission.
.\" THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
.\" WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
.\"
.Dd July 19, 1993
.Dt RARPD 8
.Os
.Sh NAME
.Nm rarpd
.Nd reverse ARP daemon
.Sh SYNOPSIS
.Nm rarpd 
.Op Fl afsv
.Op Ar interface
.Sh DESCRIPTION
.Nm Rarpd
services Reverse ARP requests on the Ethernet connected to
.Ar interface .
Upon receiving a request, 
.Nm
maps the target hardware address to an IP address via its name, which 
must be present in both the
.Xr ethers 5
and 
.Xr hosts 5
databases.
If a host does not exist in both databases, the translation cannot
proceed and a reply will not be sent.

By default, a request is honored only if the server
(i.e., the host that
.Nm
is running on)
can "boot" the target; that is, a file or directory matching the glob
.Pa /tftpboot/\fIipaddr\fP*
exists, where
.Em ipaddr
is the target IP address in hex.
For example, the IP address 204.216.27.18 will be replied to if any of
.Pa /tftpboot/CCD81B12 ,
.Pa /tftpboot/CCD81B12.SUN3 ,
or
.Pa /tftpboot/CCD81B12-boot
exist.
This requirement can be overridden with the
.Fl s
flag (see below).

In normal operation, 
.Nm
forks a copy of itself and runs in
the background.  Anomalies and errors are reported via 
.Xr syslog 3 .

.Sh OPTIONS
The following options are available:
.Bl -tag -width indent
.It Fl a
Listen on all the Ethernets attached to the system.
If
.Fl a
is omitted, an interface must be specified.
.It Fl f
Run in the foreground.
.It Fl s
Supply a response to any RARP request for which an ethernet to IP address
mapping exists; do not depend on the existence of
.Pa /tftpboot/\fIipaddr\fP* .
.It Fl v
Enable verbose sysloging.
.El
.Sh FILES
.Bl -tag -width /etc/ethers -compact
.It Pa /etc/ethers
.It Pa /etc/hosts
.It Pa /tftpboot
.El
.Sh SEE ALSO
.Xr bpf 4
.Pp
RFC 903: Finlayson, R.; Mann, T.; Mogul, J.C.; Theimer, M.  Reverse Address 
Resolution Protocol.  1984 June; 4 p.
.Sh AUTHORS
.An Craig Leres Aq leres@ee.lbl.gov
and
.An Steven McCanne Aq mccanne@ee.lbl.gov .
Lawrence Berkeley Laboratory, University of California, Berkeley, CA.
.Sh BUGS
.Nm Rarpd
can depend on the DNS to resolve the name discovered from
.Pa /etc/ethers .
If this name is not in the DNS but is in
.Pa /etc/hosts ,
the DNS lookup
can cause a delayed RARP response, so in this situation it is reccommended to
configure
.Pa /etc/host.conf
to read
.Pa /etc/hosts
first.
